Page MenuHomePhabricator

Use one notification template for making 'outdated' status of resource clear
Closed, ResolvedPublic

Description

Currently there are used:

We should agree on one template for our outdated resources and at best make it align with our design guidelines.

Event Timeline

Volker_E created this task.Aug 8 2016, 11:10 PM

IMHO, Outdated = "Still a relevant topic covered by this page, please update my content!"; Historical = "Don't ever touch my content again!" ?

Related comment by @Quiddity at parent task:

Use either of these, as appropriate. (Use the TNT version on mediawiki)

re: "and at best make it align with our design guidelines"
I'd advise against changing the style. The design of these notification boxes on mediawiki.org is from the core template https://www.mediawiki.org/wiki/Template:Mbox (and derivatives), which itself is a copy of the design standardization that we did on Enwiki in ~2007. See details at https://en.wikipedia.org/wiki/Wikipedia:Manual_of_Style/Article_message_boxes#Design and see the 2 thumbnail images on the right there, for the horror we had before 2007's standardization drive. These styles are now widely used across hundreds of wikis.

+1 to Aklapper's explanation.
(Template:Update can be ignored. It's basically identical to Template:Outdated)

Volker_E added a comment.EditedAug 9 2016, 10:19 PM

@Quiddity Thanks for giving context. I thought that those “unified” templates were the outcome of a long and hard process ;)
My issue is among others – excuse my language – the horrific mixture of icon styles, where the templates feature photo-realistic or skeuomorph, illustrative and abstract iconography. Ones with shadows, others without. If we gonna feature them on the Design pages (even on the archives) it does not shed the best light on design.
So my second thought is, to probably come up with a template ourselves featuring our overhauled color palette, icons and other style properties?!

@Volker_E Ah, the icons can be changed, if you have improvements. That's much preferable to creating a new variant.
I'm just advising against changing the box design and left-edge color-coding, which is fairly well standardized and recognizable, particularly to the Wikimedians who are likely to be looking at those pages, and particularly for Ambox ("article message box") which are the most widespread (Q5617634).

Capt_Swing added a comment.EditedAug 12 2016, 3:42 PM

@Quiddity do you really think that there will be issues if we (and by "we" here I mean people with actual design backgrounds, not me specifically) make a better looking and more accurate/appropriate message box variant for use specifically on pages that are relevant to our work? I don't see the downside of this, or the controversy.

Quiddity added a comment.EditedAug 12 2016, 6:43 PM

@Quiddity do you really think that there will be issues if we (and by "we" here I mean people with actual design backgrounds, not me specifically) make a better looking and more accurate/appropriate message box variant for use specifically on pages that are relevant to our work? I don't see the downside of this, or the controversy.

The downside is template proliferation. It's like documentation pages - it's generally better to update/improve an existing page, than to start a new one from scratch whilst also retaining the old outdated one.
However, I understand the alternative perspective of "Let's make a new alternative design, and see if that catches on, and then in the future perhaps consider merging the improvements into the older template(s)".
I don't oppose the creation of new template alternatives, and it wouldn't be a controversy. It's just not an ideal use of time, especially because of the Translation requirements on Mediawiki.org, which complicate the code required in the template, and would also add more work for the editors who do translation work.

Note: I've just now updated mediawiki.org's version of {{Historical}} to use ambox (the content-space specific version) instead of mbox (the underlying template which isn't ever meant to be used directly). That might help improve things from your perspective. :-)

Thanks @Quiddity for the update, it's good that the templates now follow at least a coherent principle among each other. Remaining issue with the color of {{{Historical}}} is that the ambox color for notice is actually pretty close to the progressive blue of our UI widgets.

Note: I've just now updated mediawiki.org's version of {{Historical}} to use ambox (the content-space specific version) instead of mbox (the underlying template which isn't ever meant to be used directly). That might help improve things from your perspective. :-)

Ack, I was mistaken, mbox is able to be used directly, and it automatically adjusts based on the namespace it is in. Sorry for the confusion.

Thanks @Quiddity for the update, it's good that the templates now follow at least a coherent principle among each other. Remaining issue with the color of {{{Historical}}} is that the ambox color for notice is actually pretty close to the progressive blue of our UI widgets.

The blue color is standard for Notices, and {{Historical}}. It is used by many Timing-related banner messages, e.g. https://en.wikipedia.org/wiki/Wikipedia:Template_messages/General#Timing-related_messages - as well as others. I suppose we could reclassify {{Historical}} as a "type=content" (orange) banner, but we'd either have to do so at every wiki, or have it be inconsistent on mediawiki.org. However, I'd argue that "type=notice" makes sense for pages tagged as {{Historical}}, because we're not requesting that anyone update the page, just that they be aware the page is no longer used.

@Quiddity It's not necessarily my intention here to alter a long established and seemingly functional part of template taxonomy. Trying to clarify my doubts of using {{{Historical}}} with what I think is expected outcome:

  • Current template layout would be different to several principles of our overhauled styleguide (true to all ambox templates and not an issue right now, but confusing in future)
  • {{{Historical}}} color is using a blue that is very close to progressive color, which carries a different meaning and is therefore confusing to users. Although it might be very exceptional to have a historical template on a view where a progressive widget is in use as well
  • Most important, majority of users coming to those articles to find guidance (opinionated!). It should be very clear from the top that the article in front of them is not providing them guidance and shouldn't mislead them. The {{{Historical}}} doesn't carry the 'take care, outdated' message strongly enough due to the color.

For this reason I personally would prefer to use {{{Outdated}}} template or a similar strong/warning color featuring template which aligns to design guidelines.

Sumit added a subscriber: Sumit.Sep 11 2016, 3:44 PM

If this is all about modifying templates( if I get it correctly ), is this a good candidate for Possible-Tech-Projects ?

Sumit added a comment.Sep 12 2016, 2:38 PM

Outreachy has scope for internships involving Design/UX too. Is this a suitable candidate for an internship project?

Qgil added a comment.Sep 13 2016, 6:29 AM

I think this task is too simple to execute for a 3-month internship, and on the other hand it may become a community trap if we start thinking of changes to templates and that causes unexpected reactions.

A better question for @Volker_E and @Moushira is whether they would be interested in mentoring an intern strong in documentation, written English, maybe also community managent in order to help in one of the parent tasks, T142443: Archive abandoned design resources/wiki articles in a clear manner or T121647: Explore a process for UX/UI discussion. Outreachy is indeed a good program for these profiles too, not just developers.

Qgil added a comment.Sep 15 2016, 8:36 AM

Re-reading the discussion... are we getting stuck in a detail? What really matters is T142443: Archive abandoned design resources/wiki articles in a clear manner. If the two related templates can be improved, that is a different task (that @Moushira probably would not own? Can you confirm whether you should be assigned to this task, please?).

I think this is basically resolved, with the decision to use
{{TNT|Outdated|reason=optional link to more current info}}
due to the orange color.
Any changes to the template(s) should be discussed on the template_talk page(s).

@Qgil I agree, this task was just meant about a detail, namely which template to use to indicate “outdated/archived” state of the (then) moved article.
I also agree, that this task and its parent task T142443 seem to small for an Outreachy project, although I could see possibilities in general design documentation for an intern. But let's please have this conversation somewhere else. :)

I think this is basically resolved, with the decision to use
{{TNT|Outdated|reason=optional link to more current info}}

@Volker_E (author); @Moushira (assignee): Okay to close this task as resolved? Or what is left here exactly?

I think this is basically resolved, with the decision to use
{{TNT|Outdated|reason=optional link to more current info}}

@Volker_E (author); @Moushira (assignee): Okay to close this task as resolved? Or what is left here exactly?

Moushira closed this task as Resolved.Jan 3 2017, 7:14 AM